--- old/usr/src/uts/common/fs/nfs/nfs4_subr.c	sam. juil. 16 15:14:17 2016
+++ new/usr/src/uts/common/fs/nfs/nfs4_subr.c	sam. juil. 16 15:14:17 2016
@@ -2978,36 +2978,36 @@
 	int		error;
 } try_failover_table [] = {
 
-	RPC_SUCCESS,		0,
-	RPC_CANTENCODEARGS,	0,
-	RPC_CANTDECODERES,	0,
-	RPC_CANTSEND,		ECOMM,
-	RPC_CANTRECV,		ECOMM,
-	RPC_TIMEDOUT,		ETIMEDOUT,
-	RPC_VERSMISMATCH,	0,
-	RPC_AUTHERROR,		0,
-	RPC_PROGUNAVAIL,	0,
-	RPC_PROGVERSMISMATCH,	0,
-	RPC_PROCUNAVAIL,	0,
-	RPC_CANTDECODEARGS,	0,
-	RPC_SYSTEMERROR,	ENOSR,
-	RPC_UNKNOWNHOST,	EHOSTUNREACH,
-	RPC_RPCBFAILURE,	ENETUNREACH,
-	RPC_PROGNOTREGISTERED,	ECONNREFUSED,
-	RPC_FAILED,		ETIMEDOUT,
-	RPC_UNKNOWNPROTO,	EHOSTUNREACH,
-	RPC_INTR,		0,
-	RPC_UNKNOWNADDR,	EHOSTUNREACH,
-	RPC_TLIERROR,		0,
-	RPC_NOBROADCAST,	EHOSTUNREACH,
-	RPC_N2AXLATEFAILURE,	ECONNREFUSED,
-	RPC_UDERROR,		0,
-	RPC_INPROGRESS,		0,
-	RPC_STALERACHANDLE,	EINVAL,
-	RPC_CANTCONNECT,	ECONNREFUSED,
-	RPC_XPRTFAILED,		ECONNABORTED,
-	RPC_CANTCREATESTREAM,	ECONNREFUSED,
-	RPC_CANTSTORE,		ENOBUFS
+	{ RPC_SUCCESS,		0 },
+	{ RPC_CANTENCODEARGS,	0 },
+	{ RPC_CANTDECODERES,	0 },
+	{ RPC_CANTSEND,		ECOMM },
+	{ RPC_CANTRECV,		ECOMM },
+	{ RPC_TIMEDOUT,		ETIMEDOUT },
+	{ RPC_VERSMISMATCH,	0 },
+	{ RPC_AUTHERROR,	0 },
+	{ RPC_PROGUNAVAIL,	0 },
+	{ RPC_PROGVERSMISMATCH,	0 },
+	{ RPC_PROCUNAVAIL,	0 },
+	{ RPC_CANTDECODEARGS,	0 },
+	{ RPC_SYSTEMERROR,	ENOSR },
+	{ RPC_UNKNOWNHOST,	EHOSTUNREACH },
+	{ RPC_RPCBFAILURE,	ENETUNREACH },
+	{ RPC_PROGNOTREGISTERED,	ECONNREFUSED },
+	{ RPC_FAILED,		ETIMEDOUT },
+	{ RPC_UNKNOWNPROTO,	EHOSTUNREACH },
+	{ RPC_INTR,		0 },
+	{ RPC_UNKNOWNADDR,	EHOSTUNREACH },
+	{ RPC_TLIERROR,		0 },
+	{ RPC_NOBROADCAST,	EHOSTUNREACH },
+	{ RPC_N2AXLATEFAILURE,	ECONNREFUSED },
+	{ RPC_UDERROR,		0 },
+	{ RPC_INPROGRESS,	0 },
+	{ RPC_STALERACHANDLE,	EINVAL },
+	{ RPC_CANTCONNECT,	ECONNREFUSED },
+	{ RPC_XPRTFAILED,	ECONNABORTED },
+	{ RPC_CANTCREATESTREAM,	ECONNREFUSED },
+	{ RPC_CANTSTORE,	ENOBUFS }
 };
 
 /*
